# =========================================== #
#            Java-Build Dev. Team             #
# =========================================== #

# =========================================== #
# L2Top
# =========================================== #
# Включить функцию получения наград за голос в L2Top ?
L2TopDeamonEnabled = false
# Ссылка на ваш сервер в L2Top.
L2TopDeamonURL = 
# 1 - ID Предмета, который будет использовать в качестве награды.
# 2 - Минимальное количество предмета, которое будет выдано в качестве награды.
# 3 - Максимальное количество предмета, которое будет выдано в качестве награды.
# 2 и 3 идут рандомно. Игроку в игре может выдать и 1 и 10 сразу. Неизвестно.
# Лучше ставить одинаковое количество на Мин. и Макс. значениях.
L2TopDeamonRewardItem = 57
L2TopDeamonMin = 1
L2TopDeamonMax = 10
# Сообщение в игре после удачного голосования.
L2TopDeamonMessage = Спасибо за голосование !
# Без описания
L2TopDeamonPollInterval = 5
L2TopDeamonPrefix = 
L2TopDeamonDoNotRewardAtFirstTime = false

# =========================================== #
# MMMOTop
# =========================================== #
# Включить функцию получения наград за голос в MMOTop ?
MMOTopEnable = False
# Ссылка на ваш сервер в MMOTop.
MMOTopUrl =
# 1 - ID Предмета, который будет использовать в качестве награды.
# 2 - Количество предмета, которое будет выдано в качестве награды.
MMOTopRewardItemId = 57
MMOTopRewardItemCount = 1
# Без Описания
MMOTopRefreshTime = 10

# =========================================== #
# Настройки безопасности
# =========================================== #
# Проверка на максимальное кол-во итемов в инвентаре игрока
EnableItemsGuard = false

# Банить игрока за превышение допустимого кол-ва итемов в сумке или удалять итемы из сумки
# treu = забанить игрока/false = удалить итемы из сумки
GuardPunishAction = false

# Список предметов и кол-во которое можно носить в инвентаре
# Формат: item_id,count;item_id,count
GuardItemsMax = 4356,1000;4037,1000;6673,1000

# Интервал проверки наличия и количества предметов
# Указывать в минутах
ItemsGuardInterval = 10

# Если включено, не будут забираться деньги за депозит в вх
FreeWareHouseDeposit = false

# Запретить передавать стопковые предметы питомцам
GivePetStackableItems = false

# Разрешить класть на склад стопковые предметы (своего рода, защита от дюпа на высокорейтовых серверах)
DepositStackableItems = false

# Включить/Отключить список итемов которые запрещено класть в хранилище
EnableDepositProtection = false

# Список предметов которые запрещено класть в хранилище
ListNonDepositItems = 3470,4037,4356

# Вторичный пароль на персонажа
EnableSecondPassKey = false

# Список запрещенных ников
RestrictedCharNames = admin,gm,administrator

# Анти-Бот система
# Включить Анти-Бот Систему?
AllowSecurityQuestion = false
# Интервал времени между вопросами ?
SecurityTime = 20

# Включить Анти-АФК систему?
AllowAntiAfk = false
# Интервал времени между вопросами ?
AntiAfkMinutes = 20

# Включить систему проверки отдельных игроков,которые точатся или подымают предметы ?
AllowPrivateAntiBot = false
# С каким шансом будет выпадать проверка отдельных игроков?
# Указывать в %
PrivateBotChance = 15

# Player punishment for illegal acions
#   1 - broadcast warning to gms only
#   2 - kick player(default)
#   3 - kick & ban player
#   4 - jail player (define minutes of jail with param: 0 = infinite)
DefaultPunish = 2
DefaultPunishParam = 0

# Bypass exploit protection
BypassValidation = True

# Enforce gameguard for clients
#   GameGuardEnforce - enforces gameguard query on character login
#   GameGuardProhibitAction - dont allow player to perform trade, talk with npc
#     and move until gameguard reply received
GameGuardEnforce = false
GameGuardProhibitAction = false

# Check players for non-allowed skills
# Default: false
SkillCheckEnable = false

# Allow L2Walker (Default false)
AllowL2Walker = false

# Интервал использования предметов
UseItemDelay = 5

# Интервал отпраки сообщений в геройский чат
HeroVoiceDelay = 100

# Интервал покупки в мультеселах
MultisellDelay = 5

# Интервал смены саб-класса
SubClassDelay = 100

# Интервал выбрасывания предметов на пол
DropItemDelay = 10

# Интервал использования байпасов
ByPassDelay = 5

#
# System settings
#
#Packet LifeTime in milliseconds, 0 - disabled feature
PacketLifeTime = 0

#Dead Lock Detector (a separate thread for detecting deadlocks)
#For improved crash logs and automatic restart in deadlock case if enabled
#Check interval is in seconds
DeadLockDetector = false
DeadLockCheckInterval = 20
RestartOnDeadlock = false

# Threads configuration - Take care changing this
ThreadPoolSizeEffects = 10
ThreadPoolSizeGeneral = 13

#Default 2
UrgentPacketThreadCoreSize = 2
#Default 4
GeneralPacketThreadCoreSize = 4
#Default 4
GeneralThreadCoreSize = 4

AiMaxThread = 6

# Thread pools execution priority
# default values are -1,0,1 (low/med/high pools)
ExecutorPriLow = -1
ExecutorPriMed = 0
ExecutorPriHigh = 1